Kernel de Linux 4.20 llego al final de su vida

linux

El renombrado desarrollador y desarrollador del kernel de Linux, Greg Kroah-Hartman, anunció el final de la vida útil de la serie del kernel de Linux 4.20, instando a los usuarios a actualizarse a una nueva serie del kernel lo antes posible.

Lanzada el 23 de diciembre de 2018, la serie del kernel de Linux 4.20 trajo muchas mejoras, incluido el control de especulación de rama indirecta por tarea para solucionar problemas con la barrera de predicción de rama indirecta (IBPB) y las predicciones de rama indirecta de hilo único (STIBP) para vulnerabilidades de seguridad de espectro.

También presentó una mejor protección del espacio de usuario de Specter Variant 2, mitigaciones de Spectre Variant 4 más fuertes para las CPU ARM64 (AArch64), compatibilidad con las GPU AMD Radeon Pro Vega 20, compatibilidad con la arquitectura de CPU C-SKY, así como compatibilidad con Hygon Dhyana x86 CPUs y AMD Radeon Picasso y Raven 2 GPUs.

Pero, como todas las cosas buenas deben llegar a su fin, la serie del kernel 4.20.17 de Linux llegó al final de su vida útil con la versión de 4.20.17 puntos del kernel de Linux, lo que significa que no se lanzarán más actualizaciones de mantenimiento para la serie. Ahora se insta a los usuarios a actualizar sus distribuciones de GNU / Linux a la última serie de kernel de Linux 5.0.

"Estoy anunciando el lanzamiento del kernel 4.20.17. Tenga en cuenta que este es el último lanzamiento del kernel 4.20.y. Ahora está al final de su vida útil, muévase al árbol del kernel 5.0.y en este punto en Todos los usuarios de la serie de kernel 4.20 deben actualizarse ", dijo Greg Kroah-Hartman en un anuncio de lista de correo.

Actualizar a la serie del kernel de Linux 5.0

Si está utilizando un kernel de la serie Linux 4.20 en su distribución GNU / Linux, actualmente tiene dos opciones: actualizar a la última versión de Linux 4.20.17 o actualizar a la última serie de kernel de Linux 5.0. Si el kernel 5.0 de Linux aún no está disponible para su distribución GNU / Linux, intente actualizar a un kernel LTS compatible.

Los núcleos LTS (Soporte a largo plazo) admitidos incluyen Linux 4.19 (recomendado), Linux 4.14, Linux 4.9, Linux 4.4 y Linux 3.16. Por supuesto, también puede descargar y compilar la versión más reciente del kernel de Linux 5.0 desde kernel.org o a través de nuestro portal de software gratuito de Linux, pero solo si sabe lo que está haciendo.

Semrush sigue a tu competencia


Fecha actualización el 2019-03-27. Fecha publicación el 2019-03-27. Categoria: linux Autor: Oscar olg Mapa del sitio Fuente: softpedia